License Agreement

This document is a legally binding agreement between you and GetData Pty Ltd ABN 79 100 297 149 ("GetData Software Company") and Network and Perimeter Security Services Pty Ltd ("Network & Perimeter Security Services") ABN: 29 104 195 860, the developers of the software program.

Permission to use the Software and any documentation included with the Software ("Documentation") is conditional upon you agreeing to the terms set out below. By installing or otherwise using the Software you agree to be bound by the terms of this agreement. If you do not wish to accept the terms, do not install or use the Software and (if using a CD-ROM) return the Software and Documentation to GetData Software Company or Network & Perimeter Security Services in its original packaging within 14 days of receiving the Software.

In consideration of the payment by you of the applicable fees, GetData Software Company and Network & Perimeter Security Services grants to you, and you accept, a nonexclusive non-transferable license to use the Software and Documentation. GetData Software Company and Network & Perimeter Security Services are and remain the exclusive owner of the Software and the Documentation. You acknowledge that copyright in the Software and Documentation remains at all times with GetData Software Company and Network & Perimeter Security Services. Unauthorized copying or modification of the Software and/or Documentation will entitle GetData Software Company or Network & Perimeter Security Services to immediately terminate this Agreement. GetData Software Company or Network & Perimeter Security Services shall have the right to check license details at any time in any reasonable manner.

You may freely distribute the trial version of the Software. A license of the software permits you to use one copy of the Software on a single computer or, in the event that you have purchased multiple licenses, to install the Software concurrently on multiple computers equivalent to the number of licenses that you have purchased. A 'Site license' will be negotiated directly with an individual or company separate to this agreement.

You are not permitted to share the registration key information provided to you for this Software with other users.

Unless you have purchased multiple licenses, this license does not permit you to load or use the Software on a network server or similar device which permits access by multiple computers.

GetData Software Company and/or Network & Perimeter Security Services may from time to time revise or update the Software and shall make such revisions or updates available subject to payment of the applicable licence fee. Support for the Software is provided via the website at http://www.computersecuritytool.com. The Software and Documentation is protected under United States law and international law and international conventions and treaties. You may not rent, lease, sublicense, assign or otherwise transfer use of the Software to others without the express written permission of GetData Software Company and Network & Perimeter Security Services. Doing so will entitle GetData Software Company or Network & Perimeter Security Services to immediately terminate this Agreement.

Except to the extent applicable law specifically prohibits such restrictions, you may not reverse engineer, reverse compile, disassemble or otherwise modify the Software in any way.

You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with the Software. GetData Software Company and/or Network & Perimeter Security Services will not be liable for any damages suffered from the use of the Software.

BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. YOU ACKNOWLEDGE AND AGREE THAT YOU HAVE EXERCISED YOUR INDEPENDENT JUDGEMENT IN ACQUIRING THE SOFTWARE.

YOU AGREE AND ACKNOWLEDGE THAT NO NETWORK, SYSTEM, DEVICE, HARDWARE, SOFTWARE, OR COMPONENT CAN BE MADE FULLY SECURE. YOU ACKNOWLEDGE AND AGREE THAT YOU ARE SOLELY RESPONSIBLE FOR MAINTAINING A FULL SYSTEM BACKUP PRIOR TO USING THE SOFTWARE.

TO THE EXTENT PERMITTED BY LAW, GETDATA SOFTWARE COMPANY AND/OR NETWORK & PERIMETER SECURITY SERVICES SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF GETDATA SOFTWARE COMPANY AND/OR NETWORK & PERIMETER SECURITY SERVICES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE IS MADE AVAILABLE BY GETDATA SOFTWARE COMPANY AND/OR NETWORK & PERIMETER SECURITY SERVICES "AS IS" AND "WITH ALL FAULTS". TO THE EXTENT PERMITTED BY LAW, GETDATA SOFTWARE COMPANY AND/OR NETWORK & PERIMETER SECURITY SERVICES DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT OR THAT THE SOFTWARE IS ERROR FREE. IF ANY CONDITION OR WARRANTY IS IMPLIED INTO THIS AGREEMENT UNDER ANY APPLICABLE LEGISLATION CANNOT BE EXCLUDED, OR IF NOTWITHSTANDING THE EXCLUSION OF LIABILITY ABOVE GETDATA SOFTWARE COMPANY AND/OR NETWORK & PERIMETER SECURITY SERVICES IS OTHERWISE LIABLE TO YOU, THEN TO THE EXTENT PERMITTED BY LAW THE LIABILITY OF GETDATA SOFTWARE COMPANY AND/OR NETWORK & PERIMETER SECURITY SERVICES FOR BREACH OF THE CONDITION OR WARRANTY WILL BE LIMITED TO ONE OR MORE OF THE FOLLOWING AS DETERMINED BY GETDATA SOFTWARE COMPANY IN ITS ABSOLUTE DISCRETION:

(i) IN THE CASE OF GOODS, (A) THE REPLACEMENT OR SUPPLY OF EQUIVALENT GOODS OR THE REPAIR OF THE GOODS; OR (B) THE PAYMENT OF THE COST OF REPLACING THE GOODS, ACQUIRING EQUIVALENT GOODS, OR HAVING THE GOODS REPAIRED; AND (ii) IN THE CASE OF SERVICES, THE SUPPLYING OF THE SERVICES AGAIN OR THE PAYMENT OF THE COST OF HAVING THE SERVICES SUPPLIED AGAIN.

This agreement cannot be changed or altered except by a written document signed by you and GetData Software Company and Network & Perimeter Security Services. This agreement is governed by the laws in force in New South Wales, Australia. Each party irrevocably and unconditionally submits to the non-exclusive jurisdiction of the courts of New South Wales, Australia.

"The Computer Security Tool" is the trademark of GetData Software Company and Network & Perimeter Security Services.

© Copyright GetData 2006


Disclaimer

The software (the "Software") available for downloading through Internet sites and published by GetData Pty Ltd ("GetData") and Network and Perimeter Security Services Pty Ltd ("NPSS") is provided pursuant to this license agreement. GetData and NPSS encourages you to know the possible risks involved in the download and use of the Software from the Internet.

You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with this software. GetData and/or NPSS will not be liable for any damages suffered from the use of the Software.

YOU AGREE AND ACKNOWLEDGE THAT NO NETWORK, SYSTEM, DEVICE, HARDWARE, SOFTWARE, OR COMPONENT CAN BE MADE FULLY SECURE. YOU AGREE AND ACKNOWLEDGE THAT YOU ARE SOLELY RESPONSIBLE FOR MAINTAINING A FULL SYSTEM BACKUP PRIOR TO RUNNING THE SOFTWARE.

BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. GETDATA AND/OR NPSS SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT,INCIDENTAL,SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE,EVEN IF GETDATA AND/OR NPSS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE IS MADE AVAILABLE BY GETDATA AND NPSS "AS IS" AND "WITH ALL FAULTS". GETDATA AND/OR NPSS DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. FURTHER, GETDATA AND/OR NPSS MAKES NO REPRESENTATIONS OR WARRANTIES AS TO THE TRUTH, ACCURACY OR COMPLETENESS OF ANY INFORMATION, STATEMENTS OR MATERIALS CONCERNING THE SOFTWARE THAT IS CONTAINED IN GETDATA'S OR NPSS'S SOFTWARE DOWNLOAD SITE. IN NO EVENT WILL GETDATA AND/OR NPSS BE LIABLE FOR ANY INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES HOWEVER THEY MAY ARISE AND EVEN IF GETDATA AND/OR NPSS HAS BEEN PREVIOUSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

"The Computer Security Tool" is the trademark of GetData and NPSS.


Scanning Limitations

The Computer Security Tool V4

System Requirements & Program Limitations

Minimum Installation Requirements

The Computer Security Tool has the following minimum installation requirements:

  • Windows NT, 2000, XP, 2003

  • 6 megabytes of disk space

  • 64 megabytes of RAM (128 or more megabytes recommended)

The Computer Security Tool Version 4 has a free 30 day trial period. After this time an activation key must be purchased to continue to use the program.

The Computer Security Tool checks for available updates each time the program is started. An active internet connection is required in order to receive updates.

Important

A local Admin account is required to make security changes.

The Computer Security Tool does NOT DETECT security settings enforced by Windows Group Policy. Settings enforced by Group Policy may be reported incorrectly.


Installing The Computer Security Tool

How do I Install The Computer Security Tool

Internet Download - Installation

The Computer Security Tool can be downloaded from the Internet at www.ComputerSecurityTool.com. The installation file downloaded from the Internet is called "ComputerSecurityTool-Setup.exe". Run this program and follow the on-screen installation wizard.

Installing from CD

Insert the Recover My Files CD into you computer, select the option to install the Computer Security Tool and follow the on screen instructions.

Program Activation

The download version of The Computer Security Tool will run in trial mode for a period of 30 days. A product activation key can be purchased from www.computersecuritytool.com to activate the program and remove the 30 day restriction. To learn how to activate The Computer Security Tool, click here.

To Upgrade to the latest Version of The Computer Security Tool

The Computer Security Tool will check for updates each time the program is started. We strongly suggest that you install updates to maintain security against emerging Internet threats.

You can also download and install the latest version of the Computer Security Tool is available for download from www.computersecuritytool.com.

You may also use the "Check for Updates" link in the "Options" list. This will connect to the Internet to determine if you are using the latest version, and if not, download and install the latest version.

If you are upgrading to the latest version of the Computer Security Tool you should not need to re-enter your product activation details.

Un-Install

To un-install the Computer Security Tool, go to the Windows Control Panel and select "Add/Remove Programs". Follow the on-screen instructions.

You can also uninstall by clicking START - PROGRAMS - COMPUTER SECURITY TOOL - UNINSTALL COMPUTER SECURITY TOOL.

Program First Run

When the Computer Security Tool is run for the first time it takes a backup of the current security settings on the computer. These are described as the "Default Settings". It is possible to Roll Back to the Default Settings at any time using the "RollBack/Undo" tab in the main program screen.


How to Purchase

Purchasing a Product Activation Key

Purchase a Product Activation Key On-line by clicking here, or visit our website at www.computersecuritytool.com.

Purchase is via a secure server. Your Product Activation Key is displayed on a web page at the end of the purchase process and is also be sent by electronic mail. If there is a delay in your credit card provider authorizing the transaction, your registration key will be provided only by email and only after credit card authorization takes place.

To purchase by telephone, or by cheque, money order, wire transfer, etc., please call USA 952.646.5022 or 1800.406.4966 or Germany 49.221.31088.30.

GetData will not under any circumstances supply customer information to a third party.


Activating the Computer Security Tool

Activating the Program

Running In Trial Mode

The Computer Security Tool will run in trial mode for a period of 30 days. To use the program in trial mode click "Later" when presented with the product activation screen. The number of days remaining in trial is shown in this screen. To extend this period you must purchase a product activation key and enter the activation details into the Product Activation screen (shown below).

Purchasing a Product Activation Key

Purchase a Product Activation Key On-line at www.computersecuritytool.com. Purchase is via a secure server. Your Product Activation Key is displayed on a web page at the end of the purchase process and is also be sent by electronic mail. If there is a delay in your credit card provider authorizing the transaction, your registration key will be provided only by email and only after credit card authorization takes place.

To purchase by telephone, or by cheque, money order, wire transfer, etc., please call USA 952.646.5022 or 1800.406.4966 or Germany 49.221.31088.30.

Entering Your Product Activation Key

To open the Product Activation window, click on the "Activate the Program" in the "Help" menu a the top of the main program screen. Please enter both your User Name and Key exactly as supplied to you. If possible, cut and paste both the name and the key into the relevant fields to avoid keying errors. Once you have entered these details, click the "Activate" button.

If you have purchased the Computer Security Tool in a retail box you will be asked to enter only the key.

Computer Security Tool - Program Activation

Upgrading The Computer Security Tool

We strongly recommend that you update the Computer Security Tool regularly and scan your computer often. The program will automatically check for updates when it is run, or you can click "Check For Updates" under "About" in the top menu. If you have already entered your product activation key you should not need to re-enter these details when you update.

Lost Product Activation Key

If you have lost your Product Activation Key, please request a replacement key at http://support.getdata.com. The new key will be sent by email.

If you have Product Activation difficulties, please contact support via this web page.


Troubleshooting Product Activation

Troubleshooting Product Activation Problems

I entered my product activation key but it says the "details you have entered are invalid"?

Please ensure that you have accurately entered both your user name and product activation key into the product activation screen.

Lost Product Activation Key

If you have lost your Product Activation Key, please request a replacement key at http://support.getdata.com. The new key will be sent by email.

If you continue to have product activation problems, please contact us via this web page.


Introducing The Computer Security Tool

Welcome to the Computer Security Tool;

  • Scan a computer for security weakness;

  • Produce Computer Security Audit Reports;

  • Implement recommended security changes in a single easy to use interface;

  • Keep up to date with the changing security environments with live security database updates;

  • Quickly Roll back specific security settings as a user environment changes.

The Computer Security Tool exists because Microsoft Windows installations contain potential security weaknesses. Many unneeded programs and services are installed and enabled. Hackers target and exploit these services using automated scripts, rapidly propagating Trojans and other methods to obtain unauthorized access to sensitive personal or commercial information.

The Computer Security Tool will scan, identify, and lock down system security weaknesses.

The Computer Security Tool is not a virus scanner, nor is it a firewall. It is a tool to be used in conjunction with these tools to provide optimum computer security. The computer Security Tool specifically examines 8 key areas of a Windows Installation:

1. User Account Security

Examines user access rights, password security and the ease at which a system can be infiltrated via password attack;

2. Communication Security

Examines how your computer communicates with others, what information is displayed and accessible to a hacker, and what open communications channels are open but not in use on your system;

3. File Association Security

Looks at the system to see how it handles inbound threats to the system such as malicious file attachments;

4. File Permission Security

Examine which users on your system have the right to use and execute specific programs;

5. Computer Services Security

Windows Services are programs which usually run without human intervention and are usually started when the computer is turned on. The Computer Security Tool examines the active services to identify which are in use and which may pose a security threat;

6. Spyware Security

The Computer Security Tool examines the ease by which a Spyware programs to infect the system and provides options to block infection;

7. Windows Subsystem Security

Windows contains a number of programs that are intended to provide legacy support for old Operating Systems such as IBM's OS2. The Computer Security Tool can disable un-needed subsystem components;

8. Windows System Security

Examines the components of the system that protect the core infrastructure of the system, such as Windows Firewall, Windows Updates, page files, dump files and the like.

It is a tool which give both the home novice user and the system security professional the ability to implement a comprehensive security policy in minutes, and then implement system security changes on the fly.


A Quick Start Guide to The Computer Security Tool

The Computer Security Tool - Running in Basic Mode

Running The Computer Security Tool for the first time

The Computer Security Toll has two modes of operation, Basic Mode and Advanced Mode. When run for the first time the program defaults to Advanced Mode (the current mode is displayed in a "Tab" at the top of the main program window). To change between modes, click "To Basic Mode" or "To Advanced Mode" in the "Options" menu on the left hand side of the main program screen. You can set the program to start in Basic or Advanced mode by clicking "Set Preferences" in the "Options" menu.

Running in Basic Mode

Basic Mode in the Computer Security Tool is designed for users who want maximum security with minimum fuss.

Basic Mode Step 1 - Running the Scan

In Basic Mode The Computer Security Tool provides information about the computer being scanned, including;

the Operating System installed;
the version of the Operating System; and,
the date that the Operating System was installed; and,
the IP address of the computer (a unique address identify the computer on the Internet).

To start, press the "Scan" button. The progress bar will track the progress of the scan. A complete scan should take less than 4 minutes (Note that it is possible to stop the scan in progress, however this is not advisable as some security issues may not yet have been detected and will not be provided in the scan results). At the completion of the scan, click "Next".

Basic Mode Screen 1

Basic Mode Step 2 - "Tell Us About This Computer"

An integral component of providing strong system security is to understand how the system is used, and more specifically, the requirements for Network and Internet access. In Step 2 of Basic Mode, two questions are asked:

i) Is this computer networked with other computers?

ii) How does the computer connect to the Internet?

Your answer to these questions will control which Internet and Networking functions of the computer are activated or disabled. For example, a home computer that is NOT networked with other computers will NOT need networking services.

You only need to answer the questions once by using the tick box "Don't ask these questions again". Turn the questions back on via "Options" in the top menu.

Basic Mode Step 3 - "Fix Security Issues"

Security issues identified on a computer are put into categories as shown below:

Click on a button to show details of the security problem identified in that category. Click on the problem to show more information about it in the right hand window. Remove the tick if you do not want to implement that change:

The Fix Now button will implement the recommended security changes. If you wish to learn exactly what changes are to be made, or configure each setting individually, please switch to Advanced Mode.

When the Fix Now button is pressed security changes will be implemented. However, prior to the changes being made, a backup of the current security settings will be made.

Once security changes have been made you will be taken to the "View History" Window. The changes you have just made are listed at the top of the screen.

To "Rollback" or "Undo" one or more of these changes click on the "Rollback/Undo" tab and make the appropriate selection

If you continue to have problems, click here for further troubleshooting information.


Running in Advanced Mode

The Computer Security Tool - Running in Advanced Mode

Running The Computer Security Tool for the first time

The Computer Security Toll has two modes of operation, Basic Mode and Advanced Mode. When run for the first time the program defaults to Advanced Mode (the current mode is displayed in a "Tab" at the top of the main program window). To change between modes, click "To Basic Mode" or "To Advanced Mode" in the "Options" menu on the left hand side of the main program screen. You can set the program to start in Basic or Advanced mode by clicking "Set Preferences" in the "Options" menu.

Running in Advanced Mode

Advanced Mode in the Computer Security Tool is designed for users who want the flexibility to configure individual security settings on a PC (Please note that there are some security issues which can only be actioned in Advanced Mode).

Advanced Mode - Running the Scan

To start, press the "Scan" button. The progress bar will track the progress of the scan. A complete scan should take less than 5 minutes (Note that it is possible to stop the scan in progress, however this is not advisable as some security issues may not yet have been detected and will not be provided in the scan results).

Scan Results are listed in the center window:

A red cross indicates that the issue is Not Secure;

A green tick indicates that the issue is Secure;

Select whether Secure or Not Secure items are displayed using the drop down box under the "Advanced Options" menu in the left hand window. For example, "Insecure Only" will list only insecure items in the center window (as shown in the screen shot below):

It is possible to produce a Security Audit Report from this screen by clicking Report in the Options menu.

Security Issue Information

When an "Issue Name" is selected information about this issue is displayed in the right hand window. IMPORTANT: Read this information to understand the implications of changing a particular issue.

Select an Issue to be Changed

To select a Security Issue to be changed, click the drop down box and choose one of the following:

  • Secure: This will secure the Issue (this usually involves turning off an Windows function, or disabling a Windows Service);

  • Unsecure: If an Issue is currently secure, this option allows it to be turned back to an Unsecure state (this usually involves turning on a Windows function, or enabling a Windows Service);

  • Always Ignore: This option allows issues to be placed in the "Always Ignore List", meaning that they will not longer be detected in a scan and will not be included in the CST rating. Click here to learn more about the Always Ignore Issue List.

When an Action is selected from a drop down box a tick will be placed next to the issue to indicate that it is about to be modified. The "Select All" tick box will automatically place a tick next to every Issue.

Applying Security Changes

Once an issue/s has been selected (see above) press the "Apply Selected Changes" button in the bottom right hand corner of the screen. Prior changes being made a backup of your current security settings is taken. You will be shown the following message:

If you have selected changes that will effect Network or Internet access the following screen will display. IMPORTANT: Click on the Security Issue name to display information in the right hand window relating to the implications of the change.

After reading the information, if you no longer with to make a change, remove the tick from the box for that issue. If you wish to ignore the issue in future scans, add it to the "Ignore Issues List".

Click "Continue" and your changes will be employed. Changes should take less than 1 minutes to complete (depending on the number of Windows Services that are being Activated or Deactivated).

After a setting has been changed the green tick or red cross will changed to the blue icon to indicate that the Issue has been "Actioned".

Security History

The View History screen enables you to determine what changes have been made to the system. Click here to learn more about the Security History screen.

Return to the Advanced Mode screen and you will see that the Security Issues that you have just changed are now identified by the "Actioned" icon [image]. Scan the computer again to see the new results.


Always Ignore Issues List

The Computer Security Tool - Always Ignore Issues List

The purpose of the "Always Ignore Issue List" is to stop specific issues being included in the scan. For example, the Microsoft Fax Service may be required on the computer to send and receive facsimiles. However, each time the scan is run, the Microsoft Fax Service will report as "Not Secure". Adding the issue to the "Always Ignore Issue List" will remove it from the scan results.

To add a Security Issue to the Always Ignore Issues List, select the "Always Ignore" action, place a tick in the box next to the Issue and click the "Apply Selected Changes" button. You will receive a confirmation message that the Issue has been added to the Ignore Issue List.

The Always Ignored Issue List is accessed in Advanced Mode by clicking "Always Ignore List" in the "Advanced Options" menu. To remove an Issue from this list place a tick in the box next to the Issue and press the "Apply" button. The Issue will now be included in the next scan.


Creating Custom Profiles

The current purpose of a "Custom Profile" is to enable you to quickly locate a pre configured list of "Not Secure" Issues in the Advanced Mode scan results. A tick will be placed in the box next to any Not Secure Issues found in the scan list (Note that it is still necessary to make an "Action" selection in the drop down box).

To create a Custom Profile, click "Create Custom Profile" in the Advanced Options menu of the main program screen. Make your selection of issues by placing a tick in the box next to the Issue Name and then save the selection to a file on your computer.

Using A Custom Profile

To use a Custom Profile, click "Run Profile" in the Advanced Options menu of the main program screen. Click "Browse" to select the relevant "profile.cst" file. The profile path and description (entered when the profile was created) is displayed;

Clicking on the "View Profile" button will display the security changes that will be made when this profile is run;

Click "Apply Profile" to implement the security changes.


Trouble Shooting

Rolling Back or Undo Changed Security Settings

Changing Individual Security Settings

The best way to modify individual security settings is to run the program in Advanced Mode. Scan the computer, select the security issue to be changed and perform the appropriate action, eg. "secure" or "insecure". Apply the change then re-scan the computer to ensure that the change has been made.

The "RollBack / Undo" Tab

It is possible using The Computer Security Tool to Rollback or Undo any changes made. Rollback / Undo settings are accessed by clicking on the "Rollback / Undo" tab in the main program window, as shown below:

There are three options;

1. To undo the most recent security changes;

2. To Rollback the security settings to a specific date and time when a backup file was created;

3. To Rollback the security settings to the way the computer was configured prior to The Computer Security Tool being run.

Restoring a Network or Internet Connection

The Computer Security Tool is designed to prevent network or Internet attack. If settings are secured incorrectly it is likely that Internet or Network access will be disabled. If you have run the Computer Security Tool and you now cannot connect to the Internet or your Network, please try the following:

  • Run the Computer Security Tool in Basic Mode, answer the Step 2 question correctly (about your Internet and Network access) and apply the changes;

  • Reboot your computer and test your Internet and Network connection.

Basic Mode is designed to Secure and Unsecure Internet and Network connection settings based on your answers to these questions.

If you still cannot access the Internet or your Network;

  • Switch the Computer Security Tool to advanced mode. In the "Advanced Options" menu, click "Always Ignore List". Remove any Issues in your Always Ignore List so that all Issues are now included in the scan (to learn more about the Always Ignore Issues List, click here).

  • In Advanced Mode run a scan by clicking the "Scan Now" button;

  • At the completion of the scan, select "Show All" under the "Advanced Options" menu on the left hand side of the main program screen (this will ensure that both Secure and Not Secure Issues are displayed in the results screen).

  • Search for the following issues and make them Insecure (click here for information on changing settings in Advanced Mode):

    • "Service: Computer Browser" - make this Issue Insecure;

    • "Communications: Disable TCP/IP Port 445" - make this Issue Insecure;

    • "Service: Workstation - Disable": - make this Issue Insecure;

    • "Accounts: Guest Account - Disable": - make this Issue Insecure

  • Apply the security changes and re-boot your computer.

Test your Internet and Network connection. If they still do not work, contact support@computersecuritytool.com. It will assist if you can provide the Version number of The Computer Security Tool that you are using (Click "About" on the "Options" menu). It will also assist if you can run a scan in Advanced Mode, "Generate a Scan Report" (located under Options) and email the HTML Scan report. 2.

2. Undo The Most Recent Security Changes;

You will note that prior to implementing any security change The Computer Security Tool first goes through a backup process. Undoing the Most Recent Security Changes loads the most recent backup file.

3. Rollback Security Settings by Selecting a Specific Backup File

It is also possible to create a backup of security settings at any time by selecting "Create Backup" in the "Options" menu. The following screen appears:

Creating a Backup of Security Settings

To restore to a specific backup file, in the "RollBack/Undo" Tab select "Rollback Security Settings by Selecting a Specific Backup File". You can then select the backup file of your choice in the following window:

Selecting a Backup File

4. To Rollback the security settings to the way the computer was configured prior to The Computer Security Tool being run.

By default, a backup of security settings is made when the Computer Security Tool is first run. Selecting this option will return computer settings to the state of the computer prior to the computer security tool being run.

Note: Some Security Issues, such as the removal of MSN Messenger, can only be returned to the original status by re-installing the original program.


Security Issue Scan List

The Computer Security Tool - Security Issue Scan List

The Computer Security Tool scans a computer to find weaknesses in the following security settings:

Guest Account - Disable

Description:

The "Guest" account is a default Microsoft Windows user account that allows anonymous users access to a computer. With the guest account enabled a user on another computer can freely gain access to any shared folders.

Recommendation:

The "Guest" account should be disabled if not in use. Making remote users authenticate with a user name and password is the preferred method for sharing files or folders on a computer. Warning: If you use the Guest account to share information, making it secure will block access to other users. It is possible to roll-back this change using the Computer Security Tool, or you can re-enable the Guest account via the Windows Control Panel, Users Icon.

Benefit:

Securing the Guest user account will restrict unauthorized users from getting access to shared files or folders on this computer.

Important:

The Guest user account on this computer will be disabled. Users of other computers who access resources on this computer as Guest will no longer have access. You will need to provide any such user with a specific account on this computer.

NB: Once you have made a security change you can:

a). Use the 'Rollback' action to return a setting to its prior status;

b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or,

c). Manually return the setting to its original configuration.

Last User Name Display - Disable
Description: | A default installation of Microsoft Windows will display at the login screen the user name of the last user to access the computer. This can pose a security threat, especially if a user's password can be guessed from the user name.
Recommendation: | Do not display the user name of the last person to log into this computer.
Benefit: | A blank logon screen gives no information to a hacker about the person who last used the computer.
Minimum Password Length
Description: | Short user account passwords can be easily guessed or "cracked". Hacking tools are available which brute force a password by guessing many hundreds of passwords per second. The longer and more complex a password (such as one that includes numbers or special characters) the more difficult a password is to crack.
Recommendation: | This issue should be secured so that passwords that are not a minimum length or passwords that are common (such as 12345 or qwerty) are rejected.
Benefit: | The use of longer passwords will make it more difficult for a hacker to guess or crack a password.
Password on Resume Prompt
Description: | A password protected screen saver can be set to activate when a computer has not been in use for a defined period. This is particularly important for computers that are used in public places.
Recommendation: | Always use a password protected screen saver. The screen saver should activate within 15 minutes of the computer being last used.
Benefit: | A password protected screen saver will reduce the risk that unauthorized persons will use the computer when the keyboard when it is left unattended.
Password Attack Prevention
Description: | Password Hashing is a method of securely storing passwords. It means that passwords are not stored as text, but are converted into a string of other string of characters. LAN Manager (LM) is one of the oldest authentication protocols that Microsoft has used, being first introduced for Microsoft Windows 3.11. In current times it is not very secure, having limitations such as a 142 character set. In more modern Operating System LAN Manager is included to allow backward compatibility with older system.
Recommendation: | LAN Manager password hashing should be disabled.
Benefit: | The risk of a hacker locating and using a password to gain access to the computer is reduced.
Denial of Service (DOS) Attack Prevention
Description: | A default Microsoft Windows installation may be vulnerable to network Denial Of Service (DOS) attacks. A DOS attack is when a hacker attempts to block the access of a computer to the Internet or even shut down a remote computer system.
Recommendation: | The Computer Security Tool changes should implemented to make this system less vulnerable to DOS attacks.
Benefit: | Implementing this change makes the Windows Operating System more resistant to DOD attacks.
Disable TCP/IP Port 445
Description: | Among the new ports introduced in Windows 2000, Windows XP and Windows Server 2003, is port 445. It is difficult to describe the usage of Port 445 in simple terms. Essentially it is used by the Server Message Block (SMB) protocol for file sharing. It is also used for NetBIOS Services over TCPIP, described as NBT. When file sharing is required and NBT is enabled, a connection to the remote computer is tried simultaneously on both port 139 and 445. If there is a response from port 445, it continues its SMB session on port 445 only. If there is no response from port 445, it will continue its SMB session on port 139 if that responded. If there is no response from either of the ports, the session will fail.
Recommendation: | Many viruses have targeted port 445 and it is not commonly used. For this reason we recommend you secure it. On a small percentage of networks disabling port 445 may block access to some network devices. If this occurs it is possible to Rollback or Unsecure this setting.
Benefit: | Disabling port 445 gives greater protection against virus attack.
Important: | Disabling Port 445 may block access to other computers, printers or devices on a network. Once you have made a security change you can: a). Use the 'Rollback' action to return a setting to its prior status; b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or, c). Manually return the setting to its original configuration.
NetBIOS Names Publishing Prevention
Description: | NetBIOS is a Microsoft network communication protocol used for such things a file and printer sharing. When NetBIOS is used the name of each computer on a network is published by default.
Recommendation: | NetBIOS names should not be unnecessarily communicated on a network. We recommend that this setting be made secure.
Benefit: | Securing this issue will reduce the risk that computer name information is available to a hacker.
NULL Shares / Sessions - Disable
Description: | A "Null Session" connection is an unauthenticated connection to a Windows NT or 2000 computer. Gaining Null session access to a computer is the number one method for hackers to find out information about the computer they are planning to hack.
Recommendation: | Null sessions should be disabled. The Computer Security Tool will disable Null Sessions if you select the Secure action.
Benefit: | Securing Null Sessions will reduce the risk of unauthorized individuals obtaining information about system resources, accounts or sensitive information
DCOM - Disable
Description: | Windows installs by default a rarely used component called Distributed Communication (DCOM). In recent times DCOM has been exploited by computer viruses.
Recommendation: | We recommend that DCOM be disabled (if you are not sure if DCOM is in use on your network contact your Network Administrator). The Computer Security Tool will disable DCOM if you select the Secure action.
Benefit: | Computer viruses exist that use DCOM vulnerabilities to propagate. By securing DCOM you will reduce susceptibility to virus attack.
File Association: ".JS", ".JSE", ".KEY", ."PIF", ".REG", ".SCR", ".VBS", ".WSF"
Description: | File extensions are associated with specific programs so that files can be quickly and easily opened. For example, clicking on a .xls file will automatically open it in Microsoft Excel. A number of uncommon file extensions, including .js, .key, .pif, .reg, .scr, .vbs, .wsf and .jse are extensively used to propagate viruses and other malicious programs. These files are usually sent as email attachments. The text of the email is designed to trick the user into clicking the attachment which, because of file extension associations, automatically executes to distribute a malicious payload.
Recommendation: | The file extensions above should be associated with the Notepad.exe text editor to prevent accidental execution of malicious code. The Computer Security Tool will make this change.
Benefit: | Changing the file association of .js files will protect against the accidental or unintentional execution of a virus file or malicious program.

Change "Everyone" to "Authenticated Users"

Description:

Security in Microsoft Windows is assigned to users based on a group that a user belongs to. By default Microsoft Windows has a group called everyone. The "everyone" group refers to all users of the computer.

Recommendation:

The "everyone" user group should be disabled to prevent system resources being accessed by all users. The Computer Security Tool will remove the everyone group and ensure that only people with a valid user name and password are allowed to authenticate to the computer. This means that in order for a person to access this computer they will need a user name and password. This can be done in from the control panel Users icon.

Benefit:

Removing the "everyone" reduces the risk of unauthorized access to computer resources.

Important:

This task is for ADVANCED users only who are aware of the implications of removing the “everyone” group. This task will take approximately 1 hour to complete.

If resources on this computer are shared with non authenticated users, removing the “everyone group” may block this access.

SNMP - Disable
Description: | The SNMP Service supports remote device management on a network.
Recommendation: | The SNMP Service is rarely used and should be disabled on most systems.
Benefit: | The SNMP Service has no function on a stand alone system and if left running will use system resources and possibly allow unauthorized system access.
Terminal Service - Disable
Description: | Terminal Services is a Windows program that allows a connection to a remote computer. Once connected you can use the computer remotely like you were sitting in front of it. Terminal Service is most often used by System Administrators to manage and make changes to remote computers across a network.
Recommendation: | If Terminal Services is not in use we recommend that it be disabled. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If Terminal Services is active, hackers may attempt to force access to it to gain control of your computer.
Wireless Configuration - Disable
Description: | Wireless configuration enables the wireless networking of computers (i.e. cables are not required to connect computers).
Recommendation: | Wireless configuration should be disabled if not in use. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If wireless communication is not used, making it secure will reduce the possibility of unauthorized connection to the computer.
Important: | Do not secure this item if the computer is part of a wireless network. NB: Once you have made a security change you can: a). Use the 'Rollback' action to return a setting to its prior status; b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or, c). Manually return the setting to its original configuration.
Alerter Service - Disable
Description: | The Alerter Service is used by System Administrators. It allows a pop up window to display information messages to selected users. It is normally used to display messages such as a scheduled system shutdown.
Recommendation: | If administrative alerts are not required this Service should be disabled. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If the Service is enabled, alerts can be captured by unauthorized users to gain information about the state of the network.
ClipBook Viewer Service - Disable
Description: | The ClipBook Viewer shows you the information you have copied to the Clipboard. You can store information permanently in your Local ClipBook and share it with other users. The Local ClipBook opens when you start ClipBook Viewer, C:WINDOWS\system32\clipbrd.exe.
Recommendation: | If the ClipBook Viewer is not used to share information then it should be disabled. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If a computer has a service which shares data, but that service is not used, disabling the service will increase the security of the computer.
Fax Service - Disable
Description: | The fax Service provides a facsimile facility on the computer.
Recommendation: | If you are not running any fax software on your computer we recommend you disabled this Service. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | This Service consumes unnecessary resources on the computer if it is enabled but not in use.
Messenger Service - Disable
Description: | This Service allows an individual on the network to send pop-up messages to another user on the network.
Recommendation: | Many spammers are currently using this Service to popup advertising on your computer. Windows NT Messenger Service should be disabled if not required. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | This feature allows a network user to display a pop up Window on another computer. It may be used by an attacker as a means to request and collect confidential information from other users.

Net Logon Service - Disable

Description:

The Net Logon Service processes Domain logon requests. A Domain is a network of computers controlled by a server (usually known as the Primary Domain Controller).

Recommendation:

Net Logon is not required if a Domain is not used on your network. Most home users or small networks do not use a domain. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.

Benefit:

Disabling the Net Logon Service reduces the risk that unauthorized logins can be made to the computer through the use of illegitimate credentials.

Important:

Do not turn off this Service if settings on this computer are administered by a server known a Domain controller. If you are unsure if this computer is part of a Domain, contact your Network Administrator.

NB: Once you have made a security change you can:

a). Use the 'Rollback' action to return a setting to its prior status;

b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or,

c). Manually return the setting to its original configuration.

NetMeeting Service - Disable
Description: | NetMeeting is a Microsoft program that allows to participation in real time interactive conferences.
Recommendation: | If Net Meeting is not in use we recommend that it be disabled.
Benefit: | Disabling Services that are not required gives a computer more resistance to attack.
Network DDE Service - Disable
Description: | DDE (Dynamic Data Exchange) enables two running programs to share the same data. For example, DDE makes it possible to insert spreadsheet data into a Word document. When the data in the spreadsheet changes, the data in the document also changes. The Network DDE Service provides network transport and security if DDE is performed between remote computers.
Recommendation: | This Service should be disabled if DDE is not used between remote computers. If this Service is disabled, any Services that explicitly depend on it will fail to start. If you use the ClipBook Viewer to share data with remote computers then do not disable this Service. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If this Service is not disabled, DDE transport and security will be available.
Network DDE DSDM Service - Disable
Description: | This Service manages the Dynamic Data Exchange (DDE) network shares. If this Service is stopped, DDE network shares will be unavailable.
Recommendation: | This Service should be disabled if DDE network shares are not used. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If this Service is not disabled, DDE network shares will be visible to unauthorized users.
NT LM Security Support Provider Service - Disable
Description: | NT LM Security Support Provider is a service that helps with backward compatibility and authentication with older Microsoft operating systems such as windows 3.1, 95 and 98.
Recommendation: | As this Service is not often used we recommend you disable it. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If this Service is left active there is an increased risk that it can be used for unauthorized purposes.
Remote Desktop Help Session - Disable
Description: | Remote Desktop Help is a Windows feature which allows a remote person on another computer to have access to your computer to help you with tasks. Once connected the remote user can see and use your Windows desktop as if he/she was sitting at the keyboard.
Recommendation: | If Remote Desktop help is not required we recommend that it be disabled. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | If Remote Desktop is left active there is an increased risk that it can be used for unauthorized purposes.
SSDP Discovery Service - Disable
Description: | The SSDP Discovery Service is used to find Universal Plug & Play devices on a network.
Recommendation: | If you do not use Plug & Play devices on your network then this service is nor required.
Benefit: | Unless you are using Universal Plug and Play Services the SSDP Discovery Service would unnecessarily use system resources and possibly allow unauthorized system access.

Telephony Service - Disable

Description:

The Telephony Service provides support for programs that use telephony devices, such as PABXs, IP voice connections, dialup modems and in some cases DSL modems.

Recommendation:

Disable this Service if any of the above Dialup connections not in use. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.

Benefit:

Unused network Services provide an attacker a potential avenue of access and should be kept to a minimum.

Important:

The Telephony Service provides support for programs that use telephony devices, such as PABX’s, IP voice connections, dialup modems and in some cases DSL modems.

NB: Once you have made a security change you can:

a). Use the 'Rollback' action to return a setting to its prior status;

b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or,

c). Manually return the setting to its original configuration.

Telnet Service - Disable
Description: | Telnet is a means of connecting to a remote computer. It is a "terminal emulation" program that is usually used by system administrators to connect to device such as a router or mainframe across a network.
Recommendation: | If you do not use Telnet you should disable the Service. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | Telnet traffic is transmitted in clear text, including user ID and passwords. It also carries the risk that an attacker monitoring network traffic may be able to view, modify and/or delete files and cause harm to the system. If a Telnet type Service is required we recommend the use of Secure Shell (SSH) instead as it encrypts all data before sending.

Workstation Service - Disable

Description:

The Workstation Service is required for all network connections.

Recommendation:

IMPORTANT: Only disable the Workstation Service if it is a stand-alone computer not connected to a network or the Internet. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.

Benefit:

Security vulnerabilities exist for the Workstation Service. It can allow unauthorized code to be run at the system privileges. However, disabling this Service may block network and Internet access.

Important:

Do not disable the Workstation Service unless this is a stand alone computer that is not connected to the Internet or to a network. Disabling this Service will block Internet and Network access.

NB: Once you have made a security change you can:

a). Use the 'Rollback' action to return a setting to its prior status;

b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or,

c). Manually return the setting to its original configuration.

Computer Browser Service - Disable

Description:

This Service maintains an updated list of computers on the network and supplies this list to computers designated as browsers. If this Service is stopped, this list will not be updated or maintained.

Recommendation:

This Service is not required by a home computer. You will still be able to browse your Network workgroup and mapped network shares if disabled. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.

Benefit:

Disabling Services that are not required gives a computer more resistance to attack.

Important:

If you disable the Computer Browser Service access to the Internet or to other computers in a network may no longer be available.

NB: Once you have made a security change you can:

a). Use the 'Rollback' action to return a setting to its prior status;

b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or,

c). Manually return the setting to its original configuration.

Remote Registry Service - Disable
Description: | Remote registry enables anonymous access to a Windows computer's registry. The registry is a very sensitive part of the Windows Operating System. Many parts of the registry hold information on the configuration of your computer. A Sample of information stored in the registry are all the Security Settings for your computer.
Recommendation: | We recommend that the Remote registry should be disabled if it is not used. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | Securing the Remote Registry Service decreases the possibility that an attacker can read or modify registry contents from a remote computer.
Uni Plug and Play Service - Disable
Description: | The UPnP Service is a default Service on the Windows Operating System. UPnP traffic is introduced on Windows 2000 and Windows 9x systems when you install MSN Messenger. Unless a custom MSN Messenger install is performed, each system will start transmitting UPnP packets as soon as it boots. The packets are an indication to a hacker that the system is ready, willing, and able to accept incoming traffic on TCP port 5000 and UDP ports.
Recommendation: | UPnP should be disabled. The Computer Security Tool will disable this Service if you select the Secure action. Services can be restarted by re-scanning the computer and selecting the Rollback action, or re-start a Service manually using the Control Panel Administrative Tools icon.
Benefit: | Disabling UpnP will stop sending unnecessary information about your computer over the network.
Spyware Ad Blocking
Description: | The Hosts file contains the mappings of IP addresses to host names. This file is loaded into memory at startup, then Windows checks the Hosts file before it queries any DNS servers, which enables it to override addresses in the DNS. This prevents access to the listed sites by redirecting any connection attempts back to the local machine. Another feature of the HOSTS file is it's ability to block other applications from connecting to the Internet, as long the entry exists.
Recommendation: | You can use a HOSTS file to block ads, banners, cookies, web bugs, and even most hijackers. This is accomplished by blocking the Server that supplies them. Example - the following entry 127.0.0.1 ad.doubleclick.net blocks all files supplied by the Double-Click Server to the web page you are viewing. This also prevents the server from tracking your movements. If you are experiencing problems accessing some web sites check to make sure they haven't been blocked in your HOST file.
Benefit: | Using a Host file will limit Ads and Spyware from known Internet Advertisers being received on your computer.
OS/2 Subsystem Remove
Description: | Legacy OS/2 subsystems are installed by default. These subsystems are no longer required for normal operation of a Windows computer and should be removed.
Recommendation: | As it is very rarely used the Legacy OS/2 subsystems should be secured using the Computer Security Tool.
Benefit: | Legacy OS/2 subsystems are unnecessary and use valuable system resources.
POSIX Subsystem Remove
Description: | Legacy POSIX subsystems are installed by default. These subsystems are no longer required for normal operation of a Windows computer and should be removed.
Recommendation: | As it is very rarely used the Legacy POSIX subsystems should be disabled using the Computer Security Tool.
Benefit: | Legacy POSIX subsystems are unnecessary and use valuable system resources.
Windows Admin File Share - Disable
Description: | Windows 2000 and XP have hidden Administrative shares enabled by default. They are prime targets for attack, especially as most users leave the 'Administrator' account active with a weak password. As these shares are not readily visible, it leads many users to believe that they have no shares active, giving them a false sense of security. Further, password lockouts do not apply to these shares making it possible for a hacker to "brute force" the password.
Recommendation: | You should disable default Windows shares. The Computer Security Tool will remove all hidden shares from your computer. To re-enable, re-scan the computer and select the Rollback action.
Benefit: | Disabling Administrative shares blocks a common method used by hackers to access a system.
Windows CD Autorun - Disable
Description: | When a CD/DVD or removable disk is inserted into the drive the Autorun feature automatically begins playing the CD/DVD. On Windows Operating system the CD/DVD Autorun is enabled by default. This could enable an unauthorized person who is otherwise locked out of a computer to execute a program directly from a CD/DVD.
Recommendation: | The Autorun feature for the DVD/CD should be turned off if it is not required. The Autorun feature can be re-enabled by re-scanning the computer and selecting the Unsecure action.
Benefit: | If the Autorun feature is left on, it is possible that a hacker could create a malicious program that would run when a CD/DVD was inserted.

Windows Simple File Sharing - Disable

Description:

The default security mode in Windows XP does not give a user complete control over who has access to shared files and resources on their system. Simple File Sharing allows anonymous accessed to shared files and folders.

Recommendation:

Disable simple file sharing. This will mean that other computers must authenticate before they are given access to a shared file or folder.

Benefit:

Disabling Simple File Sharing increases the security of shared files and folders. If Simple File Sharing is not disabled, shared folders will not be password-protected and may allow anonymous users and/or viruses access into the computer.

Important:

If you use Microsoft's Simple File Sharing to share files and folders, disabling this setting will stop this access.

NB: Once you have made a security change you can:

a). Use the 'Rollback' action to return a setting to its prior status;

b). Use the 'Unsecure' action (if available) to return a setting to the default Windows installation status; or,

c). Manually return the setting to its original configuration.

Initiate Windows Update
Description: | System updates and patches are released by software vendors to patch security weaknesses in their software.
Recommendation: | System updates and patches should be verified as authentic (check the software vendor website) and installed. The Computer Security Tool will open the Windows Update website. At this website you should select scan and load all relevant patches. This should be done regularly.
Benefit: | If software updates and patches are not installed your computer may be open to known vulnerabilities.
Page File Clearing at Shutdown
Description: | A Page File is used by Windows as additional temporary memory. When the computer runs out of RAM (Random Access Memory) it uses the page file on the hard disk as an additional storage area. This is sometimes referred to as "Virtual Memory". The Page File can contain sensitive information (eg. user names and passwords). The file is not cleared by default on Windows Shutdown
Recommendation: | The Windows Page File should be cleared upon shutdown of the computer (particularly for computers that are not physically secure). The Computer Security Tool will set the page file to clear at shutdown.
Benefit: | By clearing the Windows Page File at system shutdown it reduces the risk that confidential information will be left unsecured on the hard drive.
Password Protect Screen Saver
Description: | When the computer switches to screen saver mode it is possible to enable a password to return to windows. This can protect your computer from unauthorized access while you are away from the area.
Recommendation: | A password protected screen saver should be automatically activated when a computer is not in use for a defined period of time.
Benefit: | A computer with a password protected screen saver will stop unauthorized people from using the computer when it is left unattended.
Windows Update - Enable
Description: | System updates and patches are released by software vendors to patch security weaknesses in their software.
Recommendation: | System updates and patches should be verified as authentic (check the software vendor website) and installed. CSR will set the windows update to automatic. This will automatically check for new patches. This should be done regularly.
Benefit: | If software updates and patches are not installed your computer may be open to known vulnerabilities.
Dump File Auto Creation - Disable
Description: | A dump file is created when the Windows Operating System or a software application crashes. Dump file creation is enabled by default.
Recommendation: | Dump file creation should only be enabled when required for troubleshooting purposes.
Benefit: | By disabling dump file creation it reduces the risk that confidential information will be left unsecured on the hard drive.
MSN Messenger - Remove
Description: | MSN Messenger is a Microsoft program that allows a user to chat with other users on the Internet.
Recommendation: | If you do not use MSN Messenger, remove it from your computer.
Benefit: | MSN Messenger can make the computer susceptible to popups or unsolicited advertisements.
Important: | This will remove MSN Messenger from your computer. To re-enable MSN Messenger you will have to reinstall the application.
Run Key Permission Change
Description: | The 'Run' registry key enables programs to run upon successful login. The permissions (who has access to make changes) on the Run registry key allows write access by all users.
Recommendation: | The 'Run' registry key should be updated so that it can be used only by those users with Administrative access. The Computer Security Tool will set the permission on this key as per the above.
Benefit: | Unauthorized change to a registry key could create system instability and/or create problems during the system start-up process. A hacker or virus could take advantage of the run key to load a dangerous program every time you start your computer.


Searching for Temporary Files

The Computer Security Tool - Scan Report

When a scan is run in Advanced Mode, a listing of security issues is displayed in the main program screen. It is possible to generate a HTML report of this information. In Advanced Mode under the Options menu, select "Show Report".

.


The Security History Screen

The Computer Security Tool - Security History

The Security History shows a record of the changes you have made over time.

You can determine from the Security History window when a security change was made, the type of change (whether it went from an "Unsecured" status to a "Secured" status) and wether the change was successful.

It is possible to print this information in a HTML report via the Options button.


Security Tips

The Security Tips window provides general security information. It is accessed by clicking "Show", "Security Tips", in the top program menu. The following screen is displayed:

Click on an issue to the in the main window to show the information for that Issue in the right hand window.


Windows FireWall and Auto Update

Windows Security Center

This function of the Computer Security Tool will only display if the computer being scanned is using Windows XP Service Pack 2.

If the installed Operating System is XP Service Pack 2, the following option will display in the left hand menu:

The "Windows Options" menu displays the current status of the Windows Firewall and Windows Auto Update features.

Clicking on the ON/OFF buttons will activate or deactivate the Windows Firewall and/or Windows Updates. When the ON/OFF button is selected, the following Windows Security Center screen will open and allow you to monitor the status of these settings in real time. Additional configuration options are provided at the bottom of this windows screen.

.


Set Preferences

Computer Security Tool - Program Preferences

Check for Updates Automatically: Each time the program starts it will attempt to connect to the Internet and download the latest update (updates are issued regularly, we recommend that you have this option enabled);

Start In Advanced Mode: When the Computer Security Tool starts, it will begin in Advanced Mode.

Results Sort Order: Controls the initial display settings for Advanced Mode scan results.

Default Result Display Mode: The Advanced Mode scan results will display secure items (i.e. items with a green tick).


Frequently Asked Questions (FAQ)

Q. Can I undo the changes that I made?

A. Yes, you can undo a change that has been made. Click here to learn more.

Q. I have run the Computer Security Tool and now I can NOT connect to the Internet and/or my Network. What do I do?

A. The first thing you should do is go to Basic Mode, run a scan, answer the Step 2 questions correctly (about Internet and Network access) and apply the security changes. Based on the answers you gave to the questions, Basic Mode is designed to open the necessary Internet and Network communications channels and close those that are not required. Please re-boot your computer to ensure that the security changes have had the opportunity to take into effect. If you still have connection problems after your re-boot, please learn more here.

Do you have a question that should be included here? Please contact us to suggest them.


Contact Technical Support

Technical Support

Visit our On-Line Knowledge Base

For further technical support please visit our online support center.

If you are seeking technical advice it will assist if you can provide the following information:

  1. The version of Windows that you are using;

  2. The version of the Computer Security Tool using (please use the latest version available for download from www.computersecuritytool.com);

  3. A description of the problem that you are experiencing (send screen captures if appropriate).

We endeavour to answer all email support requests within 24 hours.


Creating a Backup of Security Settings

The Computer Security Tool takes three types of backups:

1. Security settings are automatically backed up when the program is installed and run for the first time;

2. Security settings are automatically backed up prior to any security changes being made;

3. A user can select to make a backup at any time by selecting "Create Backup" in the "Options" menu:

Creating a Backup of Security Settings

Backup files are used by going to the "RollBack / Undo" tab in the main program screen. Click here for more information on using a backup.


Creating Reports

The Computer Security Tool - Security History Report

The Security History Tab details the security changes made using the Computer Security Tool over time.


Understanding the CST Rating

The Computer Security Tool - "CST Rating"

The Computer Security Tool ("CST") rating is a measure of how secure a computer is when tested against the CST Scan Issues List. A high CST score, for example "95/100", indicates strong computer security. A low CST score, for example "27/100" indicates weak security.

Each Security Issue in the Scan Issues List has a risk rating, ranging from very high to very low. The CST Rating is devised from a mathematical calculation in which each Risk Level is given a weighting (For example, a computer with numerous "Low Risk" Security Issues only may receive a higher CST Rating than a computer with a several "High Risk" issues).

It is possible to score "100/100", meaning that all security issues detected by the Computer Security Tool have been fixed and are now in a secure state. However, a score of "100/100" is NOT a guarantee of absolute security. No computer can ever be absolutely secure.

You will note that a different CST score may appear when a computer is scanned in Basic Mode and then Advanced Mode. This is because there are certain security issues which can only be actioned in advanced mode and are therefore not part of the CST calculation in Basic Mode.

If an security issue is added to the Ignored Issues List it is subsequently not included in the CST calculation.